Back to Douyin
TikHub·Douyin

Douyin Web: Generate A-Bogus parameter using API URL

/api/v1/douyin/web/generate_a_bogussync$0.0015 / call

Generate A-Bogus parameter using API URL, the submitted URL cannot contain the original aboogus parameter, and the abogus parameter is related to the User-Agent in the request header, which needs to be submitted and requested together. (TikHub · Douyin Web)

Input
FieldTypeRequiredDescription
urlstringyesAPI URL urlencode(url, safe='') | The requested API URL, needs to be encoded using urlencode(url, safe='')
datastringyesPOST API urlencode(data, safe='') | The payload data when requesting the API with POST, needs to be encoded using urlencode(data, safe='')
user_agentstringyesAPI User-Agent | User-Agent when requesting the API
index_0integer0 (default 0)
index_1integer1 (default 1)
index_2integer14 (default 14)

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/douyin/web/generate_a_bogus","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.